Skip to main content
GET
Get a workflow

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization code flow with PKCE (S256). See the authorization guide.

Scopes

workflows:read

Read your workflows and the templates you can use

Path Parameters

workflow_id
string<uuid>
required

Response

Get a workflow.

id
string<uuid>
required
template_id
string<uuid>
required
name
string
required
status
enum<string>
required
Available options:
scheduled,
active,
completed,
cancelled
stage_id
string<uuid>
required
stage_name
string
required
stage_index
integer
required

Zero-based position in this run, not the current template.

Required range: x >= 0
stage_count
integer
required
Required range: x >= 1
start_on
string<date-time>
required

Actual start, or planned start for an existing scheduled run.

stage_entered_on
string<date-time>
required

For a scheduled run, this is not an actual stage entry yet.

completed_on
string<date-time> | null
required
created_on
string<date-time>
required
updated_on
string<date-time>
required
contacts
object[]
required

Linked contacts the connected user can see.

households
object[]
required

Linked households the connected user can see.

roles
object[]
required
stages
object[]
required
tasks
object[]
required

Only tasks the connected user can see, in stage order, up to 5000. Use GET /tasks/{id} with tasks:read for a task description. Stage counts include all tasks.

template_name
string | null
required

The source template's current name, when available.

owner
object | null
required
creator
object | null
required
tags
object[]
required